> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/advanced-data/fifa-womens-ranking.md).

# FIFA Women's Ranking

## FIFA Women's Ranking

> Return FIFA national team women's ranking data,you can query historical ranking data according to the release time of pub\_time\<br/>Note:The pub\_time ranking publication time is returned in the pub\_times field of the interface\<br/>\<br/>The data rarely changes,the recommended request frequency:1 day/time\<br/>PS:Get the changed pub\_time through the 'data update' interface

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"ADVANCED DATA","description":"ADVANCED DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/ranking/fifa/women":{"get":{"tags":["ADVANCED DATA"],"description":"Return FIFA national team women's ranking data,you can query historical ranking data according to the release time of pub_time<br/>Note:The pub_time ranking publication time is returned in the pub_times field of the interface<br/><br/>The data rarely changes,the recommended request frequency:1 day/time<br/>PS:Get the changed pub_time through the 'data update' interface","summary":"FIFA Women's Ranking","operationId":"getFifiWomenRanking","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"pub_time","in":"query","description":"Release time,the default is the latest issue (time stamp format)","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/FifaRanking"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"FifaRanking":{"type":"object","properties":{"pub_times":{"$ref":"#/deps/schemas/PubTimes"},"pub_time":{"type":"integer","description":"Release time of current query ranking data"},"items":{"type":"array","description":"Team list","items":{"$ref":"#/deps/schemas/FifaRanking"}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"PubTimes":{"type":"array","description":"Ranking release time list<br/>example:[1582128000, 1591804800]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Release time (time stamp) | Integer |\n","items":""},"FifaRanking":{"type":"object","description":"Data details","properties":{"team":{"type":"object","description":"Team data","properties":{"id":{"type":"string","description":"Team id"},"name":{"type":"string","description":"Team name"},"logo":{"type":"string","description":"Team logo"},"country_logo":{"type":"string","description":"National team logo"}}},"region_id":{"type":"integer","description":"Regional id,1-UEFA,2-South American Football Confederation,3 Central and North America and Caribbean Football Confederation,4 African Football Confederation,5 Asian Football Confederation,6 Oceania Football Confederation"},"ranking":{"type":"integer","description":"Rank"},"points":{"type":"integer","description":"integral"},"previous_points":{"type":"integer","description":"Last points"},"position_changed":{"type":"integer","description":"Ranking changes"}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/advanced-data/fifa-womens-ranking.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
